(********************************************************************
 * COPYRIGHT -- halstrup-walcher GmbH
 ********************************************************************
 * Library: h_w
 * File: h_w.typ
 * Author: herbigs
 * Created: January 21, 2016
 ********************************************************************
 * Data types of library h_w
 ********************************************************************)

TYPE
	PSxOut_type : 	STRUCT 
		ControlWord : UINT;
		TargetPosition : DINT;
	END_STRUCT;
	PSxIn_type : 	STRUCT 
		ModuleOK : BOOL;
		StatusWord : UINT;
		ActualPosition : DINT;
		ActualSpeed : INT;
	END_STRUCT;
	PSx_type : 	STRUCT 
		NodeID : USINT;
		Device : STRING[30];
		In : PSxIn_type;
		Out : PSxOut_type;
		State : USINT;
	END_STRUCT;
END_TYPE
